Bug 191637 - bcm43xx module fails on kernel 2.6.16-1.2111_FC5smp
bcm43xx module fails on kernel 2.6.16-1.2111_FC5smp
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-14 06:55 EDT by Jon Jahren
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.17-1.2157
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-01 14:00:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sysreport (403.74 KB, application/x-bzip)
2006-09-21 13:57 EDT, Kent Baxley
no flags Details

  None (edit)
Description Jon Jahren 2006-05-14 06:55:27 EDT
Description of problem:
bcm43xx module stopped working when upgrading to 2.6.16-1-2111

How reproducible:
Every time I reinstall and upgrade to mentioned 2.6.16 kernel

Steps to Reproduce:
1. upgrade kernel
2. download and install firmware
3. modprobe bcm43xx
4. Try to activate it with ifup or network-manager 

Actual results:
ifup fails with message: 
no link present.  Check cable?

Expected results:
Card comes up with IP.

Additional info:
/sbin/lspci shows:
02:01.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless LAN
Controller (rev 03)

tail -f /var/log/messages shows:
May 14 12:59:00 localhost kernel: SoftMAC: Scanning 14 channels
May 14 12:59:00 localhost kernel: SoftMAC: Unable to find matching network after
scan!
May 14 12:59:01 localhost kernel: SoftMAC: Scanning finished
May 14 12:59:01 localhost kernel: SoftMAC: Unable to find matching network after
scan!
May 14 12:59:06 localhost kernel: bcm43xx: Radio turned off
May 14 12:59:06 localhost kernel: bcm43xx: DMA 0x0200 (RX) max used slots: 0/64
May 14 12:59:06 localhost kernel: bcm43xx: DMA 0x0260 (TX) max used slots: 0/512
May 14 12:59:06 localhost kernel: bcm43xx: DMA 0x0240 (TX) max used slots: 0/512
May 14 12:59:06 localhost kernel: bcm43xx: DMA 0x0220 (TX) max used slots: 6/512
May 14 12:59:06 localhost kernel: bcm43xx: DMA 0x0200 (TX) max used slots: 0/512


dmesg | grep bcm43xx shows:
bcm43xx driver
bcm43xx: Chip ID 0x4306, rev 0x3
bcm43xx: Number of cores: 5
bcm43xx: Core 0: ID 0x800, rev 0x4, vendor 0x4243, enabled
bcm43xx: Core 1: ID 0x812, rev 0x5, vendor 0x4243, disabled
bcm43xx: Core 2: ID 0x80d, rev 0x2, vendor 0x4243, enabled
bcm43xx: Core 3: ID 0x807, rev 0x2, vendor 0x4243, disabled
bcm43xx: Core 4: ID 0x804, rev 0x9, vendor 0x4243, enabled
bcm43xx: PHY connected
bcm43xx: Detected PHY: Version: 2, Type 2, Revision 2
bcm43xx: Detected Radio: ID: 2205017f (Manuf: 17f Ver: 2050 Rev: 2)
bcm43xx: Radio turned off
bcm43xx: Radio turned off
bcm43xx: set security called
bcm43xx:    .level = 0
bcm43xx:    .enabled = 0
bcm43xx:    .encrypt = 0
bcm43xx: PHY connected
bcm43xx: Radio turned on
bcm43xx: Chip initialized
bcm43xx: DMA initialized
bcm43xx: 80211 cores initialized
bcm43xx: Keys cleared
bcm43xx: Radio turned off
bcm43xx: DMA 0x0200 (RX) max used slots: 0/64
bcm43xx: DMA 0x0260 (TX) max used slots: 0/512
bcm43xx: DMA 0x0240 (TX) max used slots: 0/512
bcm43xx: DMA 0x0220 (TX) max used slots: 6/512
bcm43xx: DMA 0x0200 (TX) max used slots: 0/512

And finally, dmesg | grep eth1 shows:
ADDRCONF(NETDEV_UP): eth1: link is not ready

This is my first bug report, please tell me if you need additional information
or if something was wrong. Thanks.
Comment 2 John W. Linville 2006-07-25 12:32:50 EDT
Have you tried the fedora-netdev kernels?

   http://people.redhat.com/linville/kernels/fedora-netdev/

Is the problem still evident w/ those kernels?  Please try them and post the 
results...thanks!
Comment 3 Jon Jahren 2006-07-25 17:57:57 EDT
I haven't tried the netdev kernels, but the problem went away when Fedora
updated to 2.6.17-1.2157, sorry for not responding earlier. Those kernels get
fixes for networking faster?
Comment 4 John W. Linville 2006-07-26 09:51:44 EDT
The fedora-netdev kernels are Fedora kernels w/ as many networking patches 
from upstream applied on top as practically possible.  The idea is to provide 
the ability for some early testing of upstream stuff.

Anyway, if the problem is gone for you now, I'm going to close this as 
CURRENTRELEASE...thanks!
Comment 5 Kent Baxley 2006-07-28 14:31:18 EDT
I've got customers still having problems, unfortunately (see below):

I can't get it to work. Here is what I did:

First, I tried again with the 2.6.17-1.2157 kernel: no luck.
Then, I installed the 2.6.17-1.2145.2.4_FC5.netdev.6 kernel: no luck.

With the netdev kernel, I downloaded and tried several different firmware versions:
3.20.23.0, 3.30.15.0, 3.40.73.0, 3.100.46.0, 3.120.27.0, 4.10.40.0
Still the same. In /var/log/messages I still see this line:
ADDRCONF(NETDEV_UP): eth1: link is not ready

The interface comes up enough for iwconfig eth1 to work:

root@dhcp-24-180  259> iwconfig eth1
Warning: Driver for device eth1 has been compiled with version 20
of Wireless Extension, while this program supports up to version 19.
Some things may be broken...

eth1      IEEE 802.11b/g  ESSID:off/any  Nickname:"dhcp-24-180.slac.stanford.edu"
          Mode:Managed  Frequency=2.484 GHz  Access Point: Invalid
          Bit Rate=1 Mb/s   Tx-Power=15 dBm
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

But that is all that works. "iwlist eth1 scan" just says
"eth1      Interface doesn't support scanning." and "dhclient eth1" does not get
me an
IP address.

So, it still does not work and unless I have picked 6 not working firmware
versions, I am out of ideas what to try :-(
And the really annoying thing is that it used to work for a short time.

Many thanks,
                             Alf.


Comment 6 John W. Linville 2006-08-01 14:46:11 EDT
Kent, 2.6.17-1.2157.2.1_FC5.netdev.7 is now available.  Does that work any 
better for you and your customers?
Comment 13 Kent Baxley 2006-09-21 13:57:39 EDT
Created attachment 136896 [details]
sysreport

Here's the sysreport from Alf's laptop.  Let me know if you need anything else.
Comment 16 Dave Jones 2006-10-16 15:13:44 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 18 John W. Linville 2007-02-13 10:13:19 EST
Is this still a problem with current kernels?

Note You need to log in before you can comment on or make changes to this bug.